import { GoogleAuthProvider } from "firebase/auth";
import { DocumentData, QueryDocumentSnapshot } from "firebase/firestore";
import { StorageReference } from "firebase/storage";
export declare function initializeFirebase(config: any): {
    auth: import("@firebase/auth").Auth;
    provider: GoogleAuthProvider;
};
export declare function createRawDoc(collectionId: string, object: any): Promise<import("@firebase/firestore").DocumentReference<any>>;
export declare function getAllDocsFromCollection(collectionId: string, callback: (docs: QueryDocumentSnapshot<DocumentData>[]) => void): void;
export declare function updateDocInCollection(collectionId: string, docId: string, data: any): Promise<unknown>;
export declare function deleteDocInCollection(collectionId: string, docId: string): Promise<unknown>;
export declare function getUrlFromFile(filePath: string): Promise<string>;
export declare function uploadFileToServer(file: File, filePath: string): Promise<string>;
export declare function listFilesInDBPath(dbPath: string): Promise<StorageReference[]>;
export declare function deleteDBFile(filePath: string): Promise<void>;
